TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Dimension ( elt-dvs/fld^fun D ) -> elt-ord^rat

### Description

<shortdoc> The dimension of the Riemann-Roch space L(D). </shortdoc>

### Examples

x_k:=FiniteField(3); x_kx:=PolynomialAlgebra(x_k); x_kxy:=PolynomialAlgebra(x_kx); x_f:=x_kxy.1^2+1; x_F:=FunctionField(x_f); x_o:=MaximalOrderFinite(x_F); x_p:=PrimitiveElement(x_o); x_D:=Divisor(x_p); Dimension(x_D);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack